### Method

# Xdp Portal compose_email

#### Declaration [src]

    void
    xdp_portal_compose_email (
      XdpPortal* portal,
      XdpParent* parent,
      const char* const* addresses,
      const char* const* cc,
      const char* const* bcc,
      const char* subject,
      const char* body,
      const char* const* attachments,
      XdpEmailFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Presents a window that lets the user compose an email, with some pre-filled information.

When the request is done, `callback` will be called. You can then call `xdp_portal_compose_email_finish()` to get the results.

#### Parameters

`parent` | `XdpParent`
| Parent window information.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`addresses` | An array of `char*`
| The email addresses to send to.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`cc` | An array of `char*`
| The email addresses to cc.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`bcc` | An array of `char*`
| The email addresses to bcc.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`subject` | `const char*`
| The subject for the email.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`body` | `const char*`
| The body for the email.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`attachments` | An array of `char*`
| An array of paths for files to attach.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`flags` | `XdpEmailFlags`
| Options for this call.
`cancellable` | `GCancellable`
| Optional `GCancellable`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call when the request is done.
| The argument can be `NULL`.
`data` | `gpointer`
| Data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.